<!DOCTYPE HTML>
<html>
<head>

<title>CSS Custom Filters</title>

<link rel="stylesheet" href="../gs.css" />
<link rel="stylesheet" href="../ss-standard.css" />
<script type="text/javascript" src="//use.typekit.net/vue1oix.js"></script>
<script type="text/javascript">try{Typekit.load();}catch(e){}</script>
<script src="jquery.js"></script>
<script src="javascript.js"></script>

<link rel="stylesheet" href="style.css" />
<style type='text/css'>

.filter {
	-webkit-animation: curl 1s linear forwards; 
}

@-webkit-keyframes curl {
	0% {
		-webkit-filter: custom(url(shaders/curl.vs) mix(url(shaders/curl.fs) normal source-atop), 50 50, transform perspective(1000) scale(1) rotateX(0deg) rotateY(0deg) rotateZ(0deg), curlPosition 1 0, curlDirection 135, curlRadius 0.2, bleedThrough 0.5); 
	}
	100% {
		-webkit-filter: custom(url(shaders/curl.vs) mix(url(shaders/curl.fs) normal source-atop), 50 50, transform perspective(1000) scale(1) rotateX(0deg) rotateY(0deg) rotateZ(0deg), curlPosition -1 0, curlDirection 135, curlRadius 0.2, bleedThrough 0.5); 	
	}
	
}

</style>

</head>
<body>

<div class='header tk-museo-sans'>
	<a class='c' href='index-1.php'>Example 1</a>
	<a class='ex' href='index-2.php'>Example 2</a>
	<a class='ex' href='index-3.php'>Example 3</a>
</div>

<div class='filtered tk-museo-sans'>
	
	<h2>Hello!</h2>
	<p>I'm just a regular HTML element containing headers, forms and paragraphs. Click the button below to activate some CSS that will create an awesome page flip effect. Remember, you have to be using <a href="https://www.google.co.uk/intl/en/chrome/browser/canary.html">Chrome Canary</a> and you can check out more effects at the <a href="http://html.adobe.com/webplatform/graphics/customfilters/cssfilterlab/">Adobe CSS Filter Lab</a> (if you're using Canary)</p>
	
	<form action=''>
		<input type='submit' value='ACTIVATE FILTER' class='activate-filter'>
	</form>
	
</div>


</body>
</html>