<!DOCTYPE HTML>
<html>
<head>

<title>CSS Custom Filters</title>

<link rel="stylesheet" href="../gs.css" />
<link rel="stylesheet" href="../ss-standard.css" />
<script type="text/javascript" src="//use.typekit.net/mme2yzn.js"></script>
<script type="text/javascript">try{Typekit.load();}catch(e){}</script>
<script src="jquery.js"></script>
<script src="javascript.js"></script>

<link rel="stylesheet" href="style.css" />
<style type='text/css'>

.filter {
	-webkit-animation: fold 0.3s linear forwards; 
}

@-webkit-keyframes fold {

	0% {	
		-webkit-filter: custom(url(shaders/fold.vs) mix(url(shaders/fold.fs) multiply source-atop), 8 50 border-box, transform perspective(2000) scale(1) rotateX(0deg) rotateY(0deg) rotateZ(0deg), t 0, spins 0.5, phase 0, shadow 2, mapDepth 80, mapCurve -0.3, minSpacing 0, useColoredBack 1, backColor 0.5 0.5 0.5 1);
	}
	100% {
		-webkit-filter: custom(url(shaders/fold.vs) mix(url(shaders/fold.fs) multiply source-atop), 8 50 border-box, transform perspective(2000) scale(1) rotateX(0deg) rotateY(0deg) rotateZ(0deg), t 0.7, spins 0.5, phase -1.11, shadow 1.36, mapDepth 80, mapCurve -0.3, minSpacing 0, useColoredBack 1, backColor 0.5 0.5 0.5 1);
	}
	
}
</style>

</head>
<body>

<div class='header tk-museo-sans'>
	<a class='ex' href='index-1.php'>Example 1</a>
	<a class='c' href='index-2.php'>Example 2</a>
	<a class='ex' href='index-3.php'>Example 3</a>
</div>

<div class='filtered tk-museo-sans'>
	
	<h2>Hello!</h2>
	<p>I'm just a regular HTML element containing headers, forms and paragraphs. Click the button below to activate some CSS that will create an awesome page fold. Remember, you have to be using <a href="https://www.google.co.uk/intl/en/chrome/browser/canary.html">Chrome Canary</a> and you can check out more effects at the <a href="http://html.adobe.com/webplatform/graphics/customfilters/cssfilterlab/">Adobe CSS Filter Lab</a> (if you're using Canary)</p>
	
	<form action=''>
		<input type='submit' value='ACTIVATE FILTER' class='activate-filter'>
	</form>
	
</div>


</body>
</html>