<!DOCTYPE HTML>
<html>
<head>

<title>CSS Custom Filters</title>

<script type="text/javascript" src="//use.typekit.net/mme2yzn.js"></script>
<script type="text/javascript">try{Typekit.load();}catch(e){}</script>
<script src="jquery.js"></script>
<script src="javascript.js"></script>

<link rel="stylesheet" href="../gs.css" />
<link rel="stylesheet" href="../ss-standard.css" />
<link rel="stylesheet" href="style.css" />
<style type='text/css'>

.filter {
	-webkit-animation: spherify 0.3s linear forwards; 
}

@-webkit-keyframes spherify {

	0% {
		-webkit-filter: custom(url(shaders/spherify.vs) mix(url(shaders/spherify.fs) multiply source-atop), 50 50 border-box, amount 0, sphereRadius 0.33, sphereAxis -0.25 1 0, sphereRotation 94, ambientLight 1, lightPosition -1 -0.25 0.25, lightColor 1 1 1 1, transform perspective(1000) scale(1) rotateX(0deg) rotateY(0deg) rotateZ(0deg));
	}
	100% {
		-webkit-filter: custom(url(shaders/spherify.vs) mix(url(shaders/spherify.fs) multiply source-atop), 50 50 border-box, amount 1, sphereRadius 0.35, sphereAxis -0.25 1 0, sphereRotation 90, ambientLight 0, lightPosition 1 -0.25 0.25, lightColor 1 1 1 1, transform perspective(1000) scale(1) rotateX(0deg) rotateY(0deg) rotateZ(0deg));
		}	
}

</style>

</head>
<body>

<div class='header tk-museo-sans'>
	<a class='ex' href='index-1.php'>Example 1</a>
	<a class='ex' href='index-2.php'>Example 2</a>
	<a class='c' href='index-3.php'>Example 3</a>
</div>

<div class='filtered tk-museo-sans'>
	
	<h2>Hello!</h2>
	<p>I'm just a regular HTML element containing headers, forms and paragraphs. Click the button below to activate some CSS that will spherify me! Remember, you have to be using <a href="https://www.google.co.uk/intl/en/chrome/browser/canary.html">Chrome Canary!</a> and you can check out more effects at the <a href="http://html.adobe.com/webplatform/graphics/customfilters/cssfilterlab/">Adobe CSS Filter Lab</a> (if you're using Canary)</p>
	
	<form action=''>
		<input type='submit' value='ACTIVATE FILTER' class='activate-filter'>
	</form>
	
</div>


</body>
</html>